Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 716410 - dev-libs/opencl-icd-loader-2020.03.13 : fails to build with -fno-common or gcc-10
Summary: dev-libs/opencl-icd-loader-2020.03.13 : fails to build with -fno-common or gc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-04-06 07:13 UTC by Toralf Förster
Modified: 2020-04-07 09:09 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.07 KB, text/plain)
2020-04-06 07:13 UTC, Toralf Förster
Details
dev-libs:opencl-icd-loader-2020.03.13:20200406-001139.log (dev-libs:opencl-icd-loader-2020.03.13:20200406-001139.log,25.77 KB, text/plain)
2020-04-06 07:13 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,223.56 KB, text/plain)
2020-04-06 07:13 UTC, Toralf Förster
Details
environment (environment,104.08 KB, text/plain)
2020-04-06 07:13 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.35 KB, application/x-bzip)
2020-04-06 07:13 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.32 KB, application/x-bzip)
2020-04-06 07:14 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.22 KB, application/x-bzip)
2020-04-06 07:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-04-06 07:13:42 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: test/loader_test/CMakeFiles/icd_loader_test.dir/test_platforms.c.o:(.bss+0x110): multiple definition of `ret_val'; test/loader_test/CMakeFiles/icd_loader_test.dir/test_kernel.c.o:(.bss+0x348): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: test/loader_test/CMakeFiles/icd_loader_test.dir/test_program_objects.c.o:(.bss+0x0): multiple definition of `ret_val'; test/loader_test/CMakeFiles/icd_loader_test.dir/test_kernel.c.o:(.bss+0x348): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl_test-20200327-211737

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Rust versions:
  [1]   rust-1.42.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.15.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun 05 Apr 2020 10:42:02 PM UTC
/var/db/repos/libressl	Fri 03 Apr 2020 07:10:10 PM UTC

emerge -qpvO dev-libs/opencl-icd-loader
[ebuild  N    ] dev-libs/opencl-icd-loader-2020.03.13  USE="test" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-04-06 07:13:46 UTC
Created attachment 630620 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-04-06 07:13:48 UTC
Created attachment 630622 [details]
dev-libs:opencl-icd-loader-2020.03.13:20200406-001139.log
Comment 3 Toralf Förster gentoo-dev 2020-04-06 07:13:52 UTC
Created attachment 630624 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-04-06 07:13:55 UTC
Created attachment 630626 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-04-06 07:13:58 UTC
Created attachment 630628 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-04-06 07:14:01 UTC
Created attachment 630630 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-04-06 07:14:04 UTC
Created attachment 630632 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-04-07 09:09:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad524a0e30e6a7841e75f0669d2fbc7cbd571c06

commit ad524a0e30e6a7841e75f0669d2fbc7cbd571c06
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-04-06 22:22:31 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-04-07 09:08:13 +0000

    dev-libs/opencl-icd-loader: build with -fno-common / gcc-10
    
    Just force -fcommon in CFLAGS if tests are enabled (loader code hasn't
    got any problems with -fno-common) until the next release, the problem has
    already been fixed upstream but the patch is rather large.
    
    Closes: https://bugs.gentoo.org/716410
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 .../opencl-icd-loader/opencl-icd-loader-2020.03.13.ebuild     | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)